> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gogogotoken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频下载与混剪

> 代理下载已生成视频，并对已有视频进行二次创作

## 视频代理下载

代理下载已生成的视频内容。支持 API Key 或 Session 认证。

<RequestExample>
  ```bash cURL theme={null}
  curl -o output.mp4 https://gogogotoken.com/v1/videos/task_1234567890/content \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  <binary mp4 content>
  ```
</ResponseExample>

## 路径参数

<ParamField path="task_id" type="string" required>
  视频生成任务 ID。
</ParamField>

## 请求头

<ParamField header="Authorization" type="string" required>
  API Key 鉴权信息，格式为 `Bearer YOUR_API_KEY`。
</ParamField>

## 视频混剪

对已有视频进行二次创作或混剪。

```http theme={null}
POST /v1/videos/{video_id}/remix
```

<RequestExample>
  ```bash 混剪 theme={null}
  curl -X POST https://gogogotoken.com/v1/videos/vid_1234567890/remix \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "doubao-seedance-2-0-fast",
      "prompt": "给视频添加暖色调滤镜"
    }'
  ```
</RequestExample>

## 参数说明

<ParamField path="video_id" type="string" required>
  要混剪的视频 ID。
</ParamField>

<ParamField body="model" type="string" required>
  视频生成模型。
</ParamField>

<ParamField body="prompt" type="string" required>
  二次创作或混剪描述。
</ParamField>
